{% extends "::layout.html.twig" %}
{% set section="veaf_spawn" %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">VEAF Marker Commands Helper</h1>
        </div>
    </div>
    <div class="row">
        {# general information #}
        <div class="col-sm-6 col-md-3">

            <h2><a id="cas_section">CAS Mission</a></h2>

            {% include "@App/veaf_marker/_armor.html.twig" with {"armor": options.cas.armor } %}
            {% include "@App/veaf_marker/_defense.html.twig" with {"defense": options.cas.defense } %}

            Groups size (units per group):
            <select id="size" class="form-control">
                {% for value,label in options.cas.size.values %}
                    <option value="{{ value }}" {% if value == options.cas.size.default %}selected{% endif %}>{{ label }}</option>
                {% endfor %}
            </select>
            <br/>

            Spacing (between groups):
            <select id="spacing" class="form-control">
                {% for value,label in options.cas.spacing.values %}
                    <option value="{{ value }}" {% if value == options.cas.spacing.default %}selected{% endif %}>{{ label }}</option>
                {% endfor %}
            </select>
            <br/>

            Marker command: <input type="text" id="cas_mission_cmd" class="form-control"/>
            <br/>

            <script>
                function updateCasMission() {
                    var cmd = "_cas";
                    cmd = cmd + ", armor " + $("#armor").val();
                    cmd = cmd + ", defense " + $("#defense").val();
                    cmd = cmd + ", size " + $("#size").val();
                    cmd = cmd + ", spacing " + $("#spacing").val();
                    $("#cas_mission_cmd").val(cmd);
                }

                updateCasMission();

                $("select").change(function () {
                    updateCasMission();
                });

            </script>

            <img src="{{ asset('img/veaf/marker/helper/cas-mission/03_mission_view.jpg') }}" class="img-responsive"/>
        </div>

        <div class="col-sm-6 col-md-9">
            <h2><a>Tutorial</a></h2>

            <div class="row">
                <div class="col-sm-12">
                    <h2>Create a cas mission</h2>
                    <img src="{{ asset('img/veaf/marker/helper/cas-mission/01_spawn_mission.png') }}" class="img-responsive"/>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <h2>A new mission (with many groups) will start</h2>
                    <img src="{{ asset('img/veaf/marker/helper/cas-mission/02_mission_overview.png') }}" class="img-responsive"/>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
